# $Id$ -*- makefile -*-
# $Name$
#################################################################

TARGET_REMAKE_CONFIGURE	= yes
TARGET_REMAKE_MAKEFILES	= GNUmakefile
TARGET_SUBPACKAGES      = @PACKAGES@
  
PreXmlParserCommon_SRC = src/preXmlQuantity.cc \
                         src/preXmlLength.cc \
                         src/preXmlNumber.cc \
                         src/preXmlAngle.cc \
                         src/preXmlInteger.cc \
                         src/preXmlManager.cc \
                         src/agddHasTag.cc \
                         src/agddSection.cc \
                         src/agddVolume.cc \
                         src/agddAGDD.cc \
                         src/xmlToolDir.cc \
                         src/xmlToolFinder.cc \
                         src/agddNumberString.cc \
                         src/SCT.preXml.cc

TARGET_BINS		= NewSCTPreXmlParser OldSCTPreXmlParser

NewSCTPreXmlParser_LIBS        = -lExpatInterface -lExpat
NewSCTPreXmlParser_USES        = c++
NewSCTPreXmlParser_CXXCPPFLAGS = -I$(srcdir) -I$(srcdir)/src
NewSCTPreXmlParser_SRC         = $(PreXmlParserCommon_SRC) src/New.SCT.geo.cc

OldSCTPreXmlParser_LIBS        = -lExpatInterface -lExpat
OldSCTPreXmlParser_USES        = c++
OldSCTPreXmlParser_CXXCPPFLAGS = -I$(srcdir) -I$(srcdir)/src
OldSCTPreXmlParser_SRC         = $(PreXmlParserCommon_SRC) src/Old.SCT.geo.cc

all:: $(TARGET_BINS)

distclean-local:; -rm -f GNUmakefile

#################################################################
include $(SRT_HOME)/standard.mk
